Page Summary
-
The
GenerateKeywordHistoricalMetricsRPC returns a list of keyword historical metrics. -
This RPC requires the
https://www.googleapis.com/auth/adwordsOAuth scope for authorization. -
Various errors can be thrown, including AuthenticationError, AuthorizationError, InternalError, and QuotaError.
- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- GenerateKeywordHistoricalMetricsResult
- Try it!
Returns a list of keyword historical metrics.
List of thrown errors: AuthenticationError AuthorizationError CollectionSizeError HeaderError InternalError QuotaError RequestError
HTTP request
POST https://googleads.googleapis.com/v21/customers/{customerId}:generateKeywordHistoricalMetrics
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "keywords": [ string ], "includeAdultKeywords": boolean, "geoTargetConstants": [ string ], "keywordPlanNetwork": enum ( |
| Fields | |
|---|---|
aggregateMetrics |
KeywordPlanAggregateMetrics) |
geoTargetConstants[] |
|
historicalMetricsOptions |
HistoricalMetricsOptions) |
includeAdultKeywords |
|
keywordPlanNetwork |
KeywordPlanNetwork) |
keywords[] |
|
language |
|
Response body
Response message for KeywordPlanIdeaService.GenerateKeywordHistoricalMetrics.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "results": [ { object ( |
| Fields | |
|---|---|
aggregateMetricResults |
KeywordPlanAggregateMetricResults) |
results[] |
GenerateKeywordHistoricalMetricsResult) |
GenerateKeywordHistoricalMetricsResult
The result of generating keyword historical metrics.
| JSON representation |
|---|
{
"closeVariants": [
string
],
"keywordMetrics": {
object ( |
| Fields | |
|---|---|
closeVariants[] |
|
keywordMetrics |
KeywordPlanHistoricalMetrics) |
text |
|
- Authorization scopes
-
Requires the following OAuth scope:
https://www.googleapis.com/auth/adwords
For more information, see the OAuth 2.0 Overview.